SDL_GetPixelFormatName(3)

NAME
SDL_GetPixelFormatName - Get the human readable name of a pixel format.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

const char * SDL_GetPixelFormatName(SDL_PixelFormat format);

FUNCTION PARAMETERS

format
    the pixel format to query.

RETURN VALUE
Returns the human readable name of the specified pixel format or "SDL_PIXELFORMAT_UNKNOWN" if the format isn't recognized.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.